package com.qunzhixinxi.hnqz.admin.api.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import com.qunzhixinxi.hnqz.common.core.entity.CommonColour;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 门户配置信息
 *
 * @author jimmy
 * @version 1.0.0
 * @date 2023-06-05 19:24
 */
@Data
@TableName(value = "sys_portal_conf", autoResultMap = true)
public class SysPortalConf implements Serializable {

	private static final long serialVersionUID = 4526768420806607933L;
	/**
	 * 主键
	 */
	@TableId(type = IdType.AUTO)
	private Long confId;

	/**
	 * 专属路径
	 */
	@TableField(value = "spec_path")
	private String specialPath;

	/**
	 * logo
	 */
	private String portalLogo;

	/**
	 * icon
	 */
	private String portalIcon;

	/**
	 * title
	 */
	private String portalTitle;

	/**
	 * 名称
	 */
	private String portalName;

	/**
	 * 背景图
	 */
	@TableField(value = "bg_img")
	private String backgroundImage;

	/**
	 * 主题色
	 */
	@TableField(typeHandler = JacksonTypeHandler.class)
	private CommonColour themeColor;

	/**
	 * 创建人
	 */
	@TableField(fill = FieldFill.INSERT)
	private String createdBy;

	/**
	 * 修改人
	 */
	@TableField(fill = FieldFill.INSERT_UPDATE)
	private String modifiedBy;

	/**
	 * 创建时间
	 */
	@TableField(fill = FieldFill.INSERT)
	private LocalDateTime createdTime;

	/**
	 * 修改时间
	 */
	@TableField(fill = FieldFill.INSERT_UPDATE)
	private LocalDateTime modifiedTime;
}