package com.qunzhixinxi.hnqz.admin.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.qunzhixinxi.hnqz.admin.api.entity.SysPortalConf;
import com.qunzhixinxi.hnqz.admin.service.SysPortalConfService;
import com.qunzhixinxi.hnqz.common.core.util.R;
import com.qunzhixinxi.hnqz.common.security.annotation.Inner;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * 门户专属配置前端控制器
 *
 * @author jimmy
 * @version 1.0.0
 * @date 2023-06-05 19:28
 */
@RestController
@AllArgsConstructor
public class SysPortalConfController {

	private final SysPortalConfService portalConfService;

	/**
	 * 获取门户专属配置
	 *
	 * @param specialPath 专属路径
	 * @return 专属配置
	 */
	@Inner(value = false)
	@GetMapping(value = "/portal/conf")
	public R<SysPortalConf> getPortalConf(@RequestParam(value = "specialPath") String specialPath) {

		return R.ok(portalConfService.getOne(Wrappers.<SysPortalConf>lambdaQuery().eq(SysPortalConf::getSpecialPath, specialPath)));

	}


}